# -*- coding: utf-8 -*-
import os

import matplotlib.pyplot as plt  # noqa: E402
from dspawpy.diffusion.nebtools import plot_barrier

# 对比不同插值方法绘制出的能垒曲线的区别，此时show应当设置为False
# 1. interp1d
plot_barrier(
    directory="dspawpy_proj/dspawpy_tests/inputs/2.15",  # neb计算的路径
    ri=None,  # 初始构型与第二个构型之间的反应坐标，当NEB任务只计算了中间构型时需要
    rf=None,  # 最后一个构型与倒数第二个构型之间的反应坐标，当NEB任务只计算了中间构型时需要
    ei=None,  # 初始构型的能量，当NEB任务只计算了中间构型时需要
    ef=None,  # 最后一个构型的能量，当NEB任务只计算了中间构型时需要
    method="interp1d",  # 插值方法
    figname=None,  # 输出的能垒图文件名
    show=False,  # 是否显示能垒图
    kind="quadratic",  # 插值方法的参数
)
# 2. CubicSpline
plot_barrier(
    directory="dspawpy_proj/dspawpy_tests/inputs/2.15",
    method="CubicSpline",
    figname=None,
    show=False,
)
# 3. pchip
plot_barrier(
    directory="dspawpy_proj/dspawpy_tests/inputs/2.15",
    method="pchip",
    figname=None,
    show=False,
)

filename = "dspawpy_proj/dspawpy_tests/outputs/us/8neb_barrier_comparison.png"  # 输出的能垒图文件名
os.makedirs(os.path.dirname(os.path.abspath(filename)), exist_ok=True)
plt.savefig(filename, dpi=300)
# plt.show()
